% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Gaussian_Inference.r
\name{rPosterior.GaussianGaussian}
\alias{rPosterior.GaussianGaussian}
\title{Generate ramdom samples from the posterior distribution of a "GaussianGaussian" object}
\usage{
\method{rPosterior}{GaussianGaussian}(obj, n = 1, ...)
}
\arguments{
\item{obj}{A "GaussianGaussian" object.}

\item{n}{integer, number of samples.}

\item{...}{Additional arguments to be passed to other inherited types.}
}
\value{
A matrix of n rows, each row is a sample of mu.
}
\description{
Generate random samples from the posterior distribution of the following structure:
     \deqn{x \sim Gaussian(mu,Sigma)}
     \deqn{mu \sim Gaussian(m,S)}
Where Sigma is known. Gaussian() is the Gaussian distribution. See \code{?dGaussian} for the definition of Gaussian distribution.\cr
The model structure and prior parameters are stored in a "GaussianGaussian" object. \cr
Posterior distribution is Gaussian(mu|m,S).
}
\examples{
obj <- GaussianGaussian(gamma=list(Sigma=matrix(c(2,1,1,2),2,2),m=c(0.2,0.5),S=diag(2)))
rPosterior(obj=obj,n=20)
}
\seealso{
\code{\link{GaussianGaussian}}, \code{\link{dPosterior.GaussianGaussian}}
}
